WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Problem with an old blog (4 posts)

  1. proverbs31woman
    Member
    Posted 2 years ago #

    I've got a contact with an old blog that's never been updated. Today he tried to login and got the following comments:

    Deprecated: Assigning the return value of new by reference is deprecated in /home/forddisc/public_html/blog/wp-includes/cache.php on line 36

    Deprecated: Assigning the return value of new by reference is deprecated in /home/forddisc/public_html/blog/wp-includes/query.php on line 21

    Deprecated: Assigning the return value of new by reference is deprecated in /home/forddisc/public_html/blog/wp-includes/theme.php on line 507

    Warning: Cannot modify header information - headers already sent by (output started at /home/forddisc/public_html/blog/wp-includes/cache.php:36) in /home/forddisc/public_html/blog/wp-login.php on line 12

    Warning: Cannot modify header information - headers already sent by (output started at /home/forddisc/public_html/blog/wp-includes/cache.php:36) in /home/forddisc/public_html/blog/wp-includes/pluggable.php on line 369

    Warning: Cannot modify header information - headers already sent by (output started at /home/forddisc/public_html/blog/wp-includes/cache.php:36) in /home/forddisc/public_html/blog/wp-includes/pluggable.php on line 370

    Warning: Cannot modify header information - headers already sent by (output started at /home/forddisc/public_html/blog/wp-includes/cache.php:36) in /home/forddisc/public_html/blog/wp-includes/pluggable.php on line 331

    As I can't login to do any backups (although he has run them quite sometime ago, he hasn't added to this site since April 2009), could I just install a later version of WordPress, say 3.1 and then see if I can get back in? Not sure what version he's running at the moment but it could be as far back as 2.9 or earlier.

    I should add the blog can be seen and the first lines above mentioning Deprecated can be seen when viewing the blog.

  2. kostas123
    Member
    Posted 2 years ago #

    This is a common PHP error message used to indicate that a PHP function or feature has been deprecated .

    Not sure what version he's running

    There is a file in your blog directory wp-includes/version.php , just login via FTP on your host's administration panel and open this file .
    Read this article to get a starting point and post any question on this thread .
    First backup your data (posts , articles )

  3. proverbs31woman
    Member
    Posted 2 years ago #

    Ok, thanks - problem is I can't do a back up, at least not via WordPress. I'll see how I go.

  4. proverbs31woman
    Member
    Posted 2 years ago #

    Fixed now, thank you.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.